### Method

# Gtk Editable delegate_get_accessible_platform_state

since: 4.10

#### Declaration [src]

    gboolean
    gtk_editable_delegate_get_accessible_platform_state (
      GtkEditable* editable,
      GtkAccessiblePlatformState state
    )

#### Description [src]

Retrieves the accessible platform state from the editable delegate.

This is an helper function to retrieve the accessible state for `GtkEditable` interface implementations using a delegate pattern.

You should call this function in your editable widget implementation of the `Gtk.AccessibleInterface.get_platform_state` virtual function, for instance:

    static void
    accessible_interface_init (GtkAccessibleInterface *iface)
    {
      iface->get_platform_state = your_editable_get_accessible_platform_state;
    }

    static gboolean
    your_editable_get_accessible_platform_state (GtkAccessible *accessible,
                                                 GtkAccessiblePlatformState state)
    {
      return gtk_editable_delegate_get_accessible_platform_state (GTK_EDITABLE (accessible), state);
    }

Note that the widget which is the delegate must be a direct child of this widget, otherwise your implementation of `Gtk.AccessibleInterface.get_platform_state` might not even be called, as the platform change will originate from the parent of the delegate, and, as a result, will not work properly.

So, if you can’t ensure the direct child condition, you should give the delegate the `GTK_ACCESSIBLE_ROLE_TEXT_BOX` role, or you can change your tree to allow this function to work.

Available since: 4.10

#### Parameters

`state`

  Type: `GtkAccessiblePlatformState`

  What kind of accessible state to retrieve.

#### Return value

Type: `gboolean`

No description available.